# Uses of Interface
org.opensaml.saml.saml1.core.AuthorityBinding

Packages that use AuthorityBinding
Package
Description
org.opensaml.saml.saml1.core
Interfaces for SAML 1.0 and 1.1 types and elements.
org.opensaml.saml.saml1.core.impl
Implementations of SAML 1.x core specification types and elements.

## Uses of AuthorityBinding in org.opensaml.saml.saml1.core

Methods in org.opensaml.saml.saml1.core that return types with arguments of type AuthorityBinding
Modifier and Type
Method
Description
`List<AuthorityBinding>`
AuthenticationStatement.`getAuthorityBindings()`
Get the list of `AuthorityBinding`s.

## Uses of AuthorityBinding in org.opensaml.saml.saml1.core.impl

Classes in org.opensaml.saml.saml1.core.impl that implement AuthorityBinding
Modifier and Type
Class
Description
`class`
`AuthorityBindingImpl`
A concrete implementation of the `AuthorityBinding` interface.
Fields in org.opensaml.saml.saml1.core.impl with type parameters of type AuthorityBinding
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<AuthorityBinding>`
AuthenticationStatementImpl.`authorityBindings`
Contains the AuthorityBinding subelements.
Methods in org.opensaml.saml.saml1.core.impl that return AuthorityBinding
Modifier and Type
Method
Description
`AuthorityBinding`
AuthorityBindingBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`AuthorityBinding`
AuthorityBindingBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml1.core.impl that return types with arguments of type AuthorityBinding
Modifier and Type
Method
Description
`List<AuthorityBinding>`
AuthenticationStatementImpl.`getAuthorityBindings()`
Get the list of `AuthorityBinding`s.